/**
* DevExtreme (core/guid.d.ts)
* Version: 20.1.0 (build 20059-0311)
* Build date: Fri Feb 28 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/** The Guid is an object used to generate and contain a GUID. */
export default class Guid {
    constructor();
    constructor(value: string);
    /**
     * @docid Guidmethods.toString
     * @publicName toString()
     * @return string
     * @prevFileNamespace DevExpress.core
     * @public
     */
    toString(): string;
    /**
     * @docid Guidmethods.valueOf
     * @publicName valueOf()
     * @return string
     * @prevFileNamespace DevExpress.core
     * @public
     */
    valueOf(): string;
}
